<?php
    if (isset($_REQUEST['from'])) {
        $from_date = $_REQUEST['from'];
    } else {
        $from_date = date('Y-m-d', strtotime('-1 week'));
    }
    if (isset($_REQUEST['to'])) {
        $to_date = $_REQUEST['to'];
    } else {
        $to_date = date('Y-m-d');
    }

    global $wpdb;

    $table_name = $wpdb->prefix . 'stat_users';
    
    $sql = 'SELECT ip FROM ' . $table_name . ' WHERE (DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'") AND (`country` IS NULL OR `country` = "") GROUP BY ip';
    $country = $wpdb -> get_results($sql);
    
    if (count($country) > 0) {
        include(dirname(__FILE__) . '/geoip/geoip.inc');
        $gi = geoip_open(dirname(__FILE__) . '/geoip/GeoIP.dat', GEOIP_STANDARD);     
        
        for ($i = 0; $i <= count($country)-1; $i++) {
            $country_name = geoip_country_name_by_addr($gi, $country[$i]->ip);
            if ($country_name == '') {
                if (substr($country[$i]->ip, 0, 7) == '192.168') {
                    $country_name = __('Local network', 'dovi-stat');
                } else {
                    $country_name = __('Unknown', 'dovi-stat');
                }
            }
            $sql = 'UPDATE ' . $table_name . ' SET `country` = "'.$country_name.'" WHERE `ip` = "'.$country[$i]->ip.'"';
            $wpdb->query($sql);
        }
        geoip_close($gi);
    }

    $sql = 'SELECT `country`, COUNT(*) AS cnt FROM ' . $table_name . ' WHERE (DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'") GROUP BY `country`';
    $countries = $wpdb -> get_results($sql);
    
?>
<script type="text/javascript">
  google.charts.load('current', {'packages':['geochart']});
  google.charts.setOnLoadCallback(drawChart);

  function drawChart() {
    var data = google.visualization.arrayToDataTable([
      ['<?php echo __('COUNTRY', 'dovi-stat');?>', '<?php echo __('VISITORS', 'dovi-stat');?> '],
<?php
    $data = array();
    foreach ($countries as $country) {
        $data[] = "\t\t['".$country->country."', ".$country->cnt."]";      	
    }
    $data = implode(",\r\n", $data);
    echo $data;
?>    
    ]);

    var options = {
        title: '<?php echo __('COUNTRY STATISTICS', 'dovi-stat');?>',
        chartArea: {
            left: 40,
            top: 60,
            width: '75%',
            height: '75%'
        }
    };

    var chart = new google.visualization.GeoChart(document.getElementById('chart_div'));
    chart.draw(data, options);
  }
</script>

<div style="margin-top: 20px;border:1px solid #ccc;border-radius:6px;background-color:#FFFFFF;padding:20px;">
    <div id="chart_div" style="width: 100%; height: 500px;"></div>
</div>
<div style="margin-top: 20px;border:1px solid #ccc;border-radius:6px;background-color:#FFFFFF;padding:20px;">
    <ul>
    <?php foreach ($countries as $country) : ?>
        <li><?php echo $country->country;?> : <?php echo number_format($country->cnt, 0, ',', ' ');?></li>
    <?php endforeach; ?>
    </ul>
</div>