<?php
    if (isset($_REQUEST['from'])) {
        $from_date = $_REQUEST['from'];
    } else {
        $from_date = date('Y-m-d', strtotime('-1 week'));
    }
    if (isset($_REQUEST['to'])) {
        $to_date = $_REQUEST['to'];
    } else {
        $to_date = date('Y-m-d');
    }

    global $wpdb;

    $hours = array();
    $table_name = $wpdb->prefix . 'stat_users';
    $max = 0;
    
    for ($i = 0; $i <= 23; $i++) {
    	if ($i < 10) { $hour = '0'.$i; } else { $hour = $i; }
        
        $sql = 'SELECT COUNT(*) FROM ' . $table_name . ' WHERE (DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'") AND HOUR(time) = "'.$hour.'"';
        $all = $wpdb -> get_var($sql);
        if ($all > $max) { $max = $all; }

        $sql = 'SELECT COUNT(DISTINCT(session)) FROM ' . $table_name . ' WHERE (DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'") AND HOUR(time) = "'.$hour.'"';
        $unique = $wpdb -> get_var($sql);

        $hours[$hour] = array( 
                'hour'   => $hour,
                'all'    => $all,
                'unique' => $unique); 
    }
?>
<script type="text/javascript">
  google.charts.load('current', {'packages':['corechart', 'bar']});
  google.charts.setOnLoadCallback(drawChart);

  function drawChart() {
    var data = google.visualization.arrayToDataTable([
      ['<?php echo __('HOURS STATISTICS', 'dovi-stat');?>', '<?php echo __('USERS VISITS', 'dovi-stat');?> ', '<?php echo __('UNIQUIE VISITORS', 'dovi-stat');?>'],
<?php
    $data = array();
    foreach ($hours as $hour) {
        $data[] = "\t\t['".$hour['hour']."', ".$hour['all'].", ".$hour['unique']."]";      	
    }
    $data = implode(",\r\n", $data);
    echo $data;
?>    
    ]);

    var options = {
        title: '<?php echo __('USER STATISTICS', 'dovi-stat');?>',
        hAxis: {
            title: '<?php echo __('HOURS', 'dovi-stat');?>',  
            titleTextStyle: {
                color: '#333',
                fontSize: 12},
            textStyle: {
                color: '#888',
                fontSize: 12}
            },
        vAxis: {
            textStyle: {
                color: '#888',
                fontSize: 12},
            minValue: 0,
            maxValue: <?php echo $max;?>},
        colors: ['#EBEB00', '#3CA715'],
        chartArea: {
            left: 40,
            top: 60,
            width: '75%',
            height: '75%'
        }
    };

    var chart = new google.visualization.ColumnChart(document.getElementById('chart_div'));
    chart.draw(data, options);
  }
</script>

<div>
    <h4><?php echo __('ATTENTION!', 'dovi-stat');?></h4>
    <p style="text-align: justify;"><?php echo __('IF NEW VISIT LIMIT EQUAL 1 THEN ALL AND UNIQUE VISITORS ARE THE SAME.', 'dovi-stat');?></p>
</div>
<div style="margin-top: 20px;border:1px solid #ccc;border-radius:6px;background-color:#FFFFFF;padding:20px;">
    <div id="chart_div" style="width: 100%; height: 500px;"></div>
</div>