<?php
    if (isset($_REQUEST['from'])) {
        $from_date = $_REQUEST['from'];
    } else {
        $from_date = date('Y-m-d', strtotime('-1 week'));
    }
    if (isset($_REQUEST['to'])) {
        $to_date = $_REQUEST['to'];
    } else {
        $to_date = date('Y-m-d');
    }

    global $wpdb;

    $pages = array();
    $table_name = $wpdb->prefix . 'stat_pages';
    $where = array();
    $where[] = '(DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'")';
    $where = implode(' AND ', $where);

    $sql = 'SELECT `link`, `title`, COUNT(*) AS cnt FROM ' . $table_name . ' WHERE '.$where.' GROUP BY `title` ORDER BY cnt DESC LIMIT 20';
    $pages = $wpdb -> get_results($sql);

/*
    foreach ($pages as $page) {
        $sql = 'SELECT `title` FROM ' . $table_name . ' WHERE `link` = "'.$page->link.'" ORDER BY time DESC';
        $page->title = $wpdb -> get_var($sql);
    }
*/

    $days = array();
    $tmp = $from_date;
    do {
        $days[$tmp] = 0;
        $tmp = date('Y-m-d', strtotime('+1 day', strtotime($tmp)));
    } while ($tmp <= $to_date);
    
    foreach ($pages as $page) {
        $tmp_days = $days;
        $sql = 'SELECT DATE(time) AS d, COUNT(*) AS cnt FROM ' . $table_name . ' WHERE (DATE(time) >= "'.$from_date.'" AND DATE(time) <= "'.$to_date.'") AND `link` = "'.$page->link.'" GROUP BY DATE(time)';
        $d = $wpdb -> get_results($sql);
        foreach ($d as $day) {
            $tmp_days[$day->d] = $day->cnt;
        }
        $page->days = $tmp_days;
    }
    
?>
<div style="margin-top: 20px;border:1px solid #ccc;border-radius:6px;background-color:#FFFFFF;padding:20px;">
    <table class="wp-list-table widefat striped posts">
        <thead>
            <tr>
                <th><?php echo __('PAGE NAME', 'dovi-stat');?></th>
                <th><?php echo __('VIEWED COUNT', 'dovi-stat');?></th>
                <th><?php echo __('VIEWED LEGEND', 'dovi-stat');?></th>
            </tr>
        </thead>
        <tbody>
    <?php
        foreach ($pages as $page) {
            if ($page->title == '') {
                $page->title = $page->link;
            }
            echo '<tr>'.
                 '  <td align="left"><a href="'.$page->link.'" target="_blank">'.$page->title.'</a></td>'.
                 '  <td align="right">'.number_format($page->cnt, 0, '.', ' ').'</td>'.
                 '  <td align="right"><span class="inlinebar">' . implode(',', $page->days) . '</span></td></tr>';
        }
    ?>    
        </tbody>
        <tfoot>
        
        </tfoot>
    </table>    
</div>	

<script>
    jQuery(document).ready(function(){
        jQuery('.inlinebar').sparkline(
            'html', {
                type: 'bar', 
                barColor: 'green'
            } 
        );
    });
</script>