<?php

    if (isset($_REQUEST['from'])) {
        if ($_REQUEST['from'] != '') {
            $from_date = $_REQUEST['from'];
        } else {
            $from_date = date('Y-m-d', strtotime('-1 week'));
        }
    } else {
        $from_date = date('Y-m-d', strtotime('-1 week'));
    }
    if (isset($_REQUEST['to'])) {
        if ($_REQUEST['to'] != '') {
            $to_date = $_REQUEST['to'];
        } else {
            $to_date = date('Y-m-d');
        }
    } else {
        $to_date = date('Y-m-d');
    }

    global $wpdb;

    $days = array();
    $table_name = $wpdb->prefix . 'stat_users';
    $tmp = $from_date;
    $max = 0;

    do {
        $sql = 'SELECT COUNT(*) FROM ' . $table_name . ' WHERE DATE(time) = "'.$tmp.'"';
        $all = $wpdb -> get_var($sql);
        if ($all > $max) { $max = $all; }

        $sql = 'SELECT COUNT(DISTINCT(session)) FROM ' . $table_name . ' WHERE DATE(time) = "'.$tmp.'"';
        $unique = $wpdb -> get_var($sql);

        $days[] = array( 
                    'date'   => $tmp,
                    'text'   => strtolower(strftime('%b. %d.', strtotime($tmp))),
                    'all'    => $all,
                    'unique' => $unique); 
        $tmp = date('Y-m-d', strtotime('+1 day', strtotime($tmp)));

    } while ($tmp <= $to_date);
    
?>
<script type="text/javascript">
  google.charts.load('current', {'packages':['corechart']});
  google.charts.setOnLoadCallback(drawChart);

  function drawChart() {
    var data = google.visualization.arrayToDataTable([
      ['<?php echo __('USER STATISTICS', 'dovi-stat');?>', '<?php echo __('USERS VISITS', 'dovi-stat');?> ', '<?php echo __('UNIQUIE VISITORS', 'dovi-stat');?>'],
<?php
    $data = array();
    for ($i = 0; $i <= count($days)-1; $i++) {
        $data[] = "\t\t['".$days[$i]['text']."', ".$days[$i]['all'].", ".$days[$i]['unique']."]";      	
    }
    $data = implode(",\r\n", $data);
    echo $data;
?>    
    ]);

    var options = {
        title: '<?php echo __('USER STATISTICS', 'dovi-stat');?>',
        hAxis: {
            title: '<?php echo __('DAYS', 'dovi-stat');?>',  
            titleTextStyle: {
                color: '#333',
                fontSize: 12},
            textStyle: {
                color: '#888',
                fontSize: 12}
            },
        vAxis: {
            textStyle: {
                color: '#888',
                fontSize: 12},
            minValue: 0,
            maxValue: <?php echo $max;?>},
        colors: ['#EBEB00', '#3CA715'],
        chartArea: {
            left: 40,
            top: 60,
            width: '75%',
            height: '75%'
        }
    };

    var chart = new google.visualization.AreaChart(document.getElementById('chart_div'));
    chart.draw(data, options);
  }
</script>


<div style="margin-top: 20px;border:1px solid #ccc;border-radius:6px;background-color:#FFFFFF;padding:20px;">
    <div id="chart_div" style="width: 100%; height: 500px;"></div>
</div>